# microAnalyzer 

MicroAnalyzer is a software that allows users to maintain a project data belonging to a particular microchip. It is also possible to perform basic analysis above the bitmap image data. Functions for layers combinations of the given data are available as well.

### Version
1.0 - linux edition

### Installation

First of all, as prerequisites you have to have installed the following libraries, ideally of the same version. Compatibility with different versions of the libraries is not guaranteed.

* Qt 5.2.1
* OpenCV 3.1.0
* Boost 1.54

*For a case that you need to configure paths to the libraries manually, please edit file microAnalyzer.pro which contains the basic configurations for the compilation.*

It the case everything is installed and configured properly in your operating system, the code will compile for you with use of the following command line commands:

```sh
$ qmake
$ make microAnalyzer
```

For speeding up the compilation on multicore/multithread systems, you can use parameter -j*X*, where *X* is recommended to be your approx. the amount of cores of the machine - e.g. on 8 core system you can use -j8 as follows:

```sh
$ make microAnalyzer -j8
```

If you want to make a clean build, then use the following command set:

```sh
$ make clean
$ qmake
$ make microAnalyzer
```

### Running the application

The following command performed in the directory with compiled binary will run the application:

```sh
$ ./microAnalyzer
```

Use of the application is intuitive - load images into *Background layers* (File->Import image), perform analyses (menu Tools) with use of these background images and store the results to *Analysing layers* part.

