////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     opencvprocessor.h
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef OPENCVPROCESSOR_H
#define OPENCVPROCESSOR_H

#include <QMainWindow>
#include "opencv/cv.h"
#include "opencv/highgui.h"

class OpenCVprocessor : public QMainWindow
{
    Q_OBJECT
public:
    explicit OpenCVprocessor(QWidget *parent = 0);
    IplImage * qImageToCvImage(QImage *qimg);
    QImage cvImageToQImage(const IplImage *iplImage);

    QImage processThreshold_Edges(QImage * input, bool processEdges, int threshValue);
    QImage normalizeImage(QImage * input, int red, int green, int blue, int rThrs, int gThrs, int bThrs);

    QImage detectDrawQuads(QImage * input);



    std::vector<QImage> makeHistogram(QImage * input);
    IplImage* DrawHistogram(CvHistogram *hist, float scaleX=1, float scaleY=1);

signals:

public slots:

private:
    IplImage * cvImage;
    QImage qtImage;

};

#endif // OPENCVPROCESSOR_H
