////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     projectwizard.h
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef PROJECTWIZARD_H
#define PROJECTWIZARD_H

#include <QWizard>

// singleton
#include "project.h"

class QCheckBox;
class QMessageBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QRadioButton;
class QPushButton;
class MainWindow;

class ProjectWizard : public QWizard
{
    Q_OBJECT

public:
    explicit ProjectWizard(QWidget *parent = 0);
    void accept();

signals:

public slots:

};

// --------------------------------------------
class WelcomePage : public QWizardPage
{
    Q_OBJECT

public:
    WelcomePage(QWidget *parent = 0);

private:
    QLabel *label;
};

// --------------------------------------------
class ProjectInfoPage : public QWizardPage
{
    Q_OBJECT

public:
    ProjectInfoPage(QWidget *parent = 0);

private slots:
    void openImageFile();
    void browseDirs();

private:
    QLabel *projectNameLabel;
    QLineEdit *projectNameLineEdit;

    QLabel *projectDirLabel;
    QLineEdit *projectDirLineEdit;

    QCheckBox *importFileCheckBox;
    QGroupBox *groupBox;

    QLabel *imageImportLabel;
    QLineEdit *imageImportLineEdit;

    QPushButton *importImageBtn;
    QPushButton *chooseDirBtn;
};

#endif // PROJECTWIZARD_H
